<div class="mainwrapper">
  <div class="leftwrapper">
    <div class="form">
      <h2>Patient Informations</h2>
      <div class="topline">
        <div class="p-inputgroup">
          <span class="p-inputgroup-addon"><i class="pi pi-user"></i></span>
          <input
            type="text"
            pInputText
            placeholder="First Name"
            [(ngModel)]="patient.prenom"
          />
        </div>
        <div class="p-inputgroup">
          <input
            type="text"
            pInputText
            placeholder="Last Name"
            [(ngModel)]="patient.nom"
          />
        </div>

        <div class="radiowrapper">
          <div class="radio">
            <p-radioButton
              [value]="'M'"
              [(ngModel)]="patient.genre"
            ></p-radioButton>
            <label class="ml-2">Male</label>
          </div>
          <div class="radio">
            <p-radioButton
              [value]="'F'"
              [(ngModel)]="patient.genre"
            ></p-radioButton>
            <label class="ml-2">Female</label>
          </div>
        </div>
      </div>

      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-calendar"></i></span>
        <p-calendar
          [(ngModel)]="patient.datedenaissance"
          pInputText
          placeholder="Birth date"
        ></p-calendar>
      </div>
      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-home"></i></span>
        <input
          type="text"
          pInputText
          placeholder="Address"
          [(ngModel)]="address"
        />
      </div>
      <div class="topline">
        <div class="p-inputgroup">
          <span class="p-inputgroup-addon"><i class="pi pi-building"></i></span>
          <input
            type="text"
            pInputText
            placeholder="Post code"
            [(ngModel)]="postcode"
          />
        </div>
        <div class="p-inputgroup">
          <input type="text" pInputText placeholder="City" [(ngModel)]="city" />
        </div>
      </div>
      <div class="p-inputgroup">
        <span class="p-inputgroup-addon"><i class="pi pi-phone"></i></span>
        <input
          type="text"
          pInputText
          placeholder="Phone number"
          [(ngModel)]="patient.telephone"
        />
      </div>

      <p-button
        label="Add patient"
        styleClass="p-button-outlined"
        (click)="addPatient()"
      >
      </p-button>
    </div>
  </div>
  <div class="rightwrapper">
    <div class="topwrapper">
      <h1>Add a patient !</h1>
      <p class="whitetext">
        Subscribe your patient using his personal informations
      </p>
    </div>
    <div class="bottomwrapper">
      <p class="whitesubtext">Patient already subscribed ?</p>
      <p-button
        label="Search it"
        styleClass="p-button-outlined"
        [routerLink]="'/home/search'"
      ></p-button>
    </div>
  </div>
</div>
